var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Input, Output } from '@angular/core';
export var ButtonComponent = (function () {
    function ButtonComponent() {
        this.text = '';
        this.onClick = new EventEmitter();
    }
    ButtonComponent.prototype.ngOnInit = function () {
    };
    ButtonComponent.prototype.click = function () {
        this.onClick.emit();
    };
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], ButtonComponent.prototype, "text", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', Boolean)
    ], ButtonComponent.prototype, "isPrimary", void 0);
    __decorate([
        Output(), 
        __metadata('design:type', EventEmitter)
    ], ButtonComponent.prototype, "onClick", void 0);
    ButtonComponent = __decorate([
        Component({
            selector: 'mcr-button',
            template: "\n      <div class=\"mcr-button\">\n          <button pButton\n                  type=\"button\"\n                  label=\"{{text}}\"\n                  [ngClass]=\"{'btn-primary': isPrimary, 'btn-secondary': !isPrimary}\"\n                  (click)=\"click()\">\n          </button>\n      </div>\n  ",
            styles: [
                require('./button.component.scss')
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], ButtonComponent);
    return ButtonComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/button/button.component.js.map