var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from "@angular/core";
import { BsDropdownConfig, ComponentLoaderFactory, PositioningService } from "ngx-bootstrap";
export var FunctionalDropDownComponent = (function () {
    function FunctionalDropDownComponent() {
    }
    FunctionalDropDownComponent.prototype.onActionSelected = function (item) {
        this.selectedAction = item;
    };
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], FunctionalDropDownComponent.prototype, "label", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], FunctionalDropDownComponent.prototype, "items", void 0);
    FunctionalDropDownComponent = __decorate([
        Component({
            selector: 'mcr-functional-drop-down',
            template: "\n      <div class=\"mcr-functional-drop-down\">\n          <div class=\"btn-group\" dropdown>\n              <button dropdownToggle type=\"button\" class=\"btn btn-dropdown dropdown-toggle ui-layout\" ui-layout-align=\"space-between center\">\n                  <span class=\"btn-text text-left\">{{label}}</span>\n                  <span class=\"caret\"></span>\n              </button>\n              <ul *dropdownMenu class=\"dropdown-menu\" role=\"menu\">\n                  <li *ngFor=\"let item of items, let i = index\" role=\"menuitem\" (click)=\"item.action(); selectedIndex = i\"\n                      value=\"{{item.id}}\" [ngClass]=\"{selected: selectedIndex == i}\">\n                      <div class=\"dropdown-item\">{{item.title}}</div>\n                  </li>\n              </ul>\n          </div>\n      </div>\n  ",
            styles: [
                require('./functional-drop-down.component.scss')
            ],
            providers: [ComponentLoaderFactory, PositioningService, BsDropdownConfig]
        }), 
        __metadata('design:paramtypes', [])
    ], FunctionalDropDownComponent);
    return FunctionalDropDownComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/functional-drop-down/functional-drop-down.component.js.map