var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input, ViewEncapsulation } from "@angular/core";
export var GridComponent = (function () {
    function GridComponent() {
        var _this = this;
        this.gridOptions = {
            onGridReady: function () {
                _this.gridOptions.api.sizeColumnsToFit();
            }
        };
    }
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], GridComponent.prototype, "columnDefs", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], GridComponent.prototype, "rowData", void 0);
    GridComponent = __decorate([
        Component({
            selector: 'mcr-grid',
            template: "\n      <div class=\"mcr-grid\">\n          <ag-grid-angular #agGrid style=\"width: 100%; height: 100%;\" class=\"ag-fresh \"\n                           [gridOptions]=\"gridOptions\"\n                           [columnDefs]=\"columnDefs\"\n                           [rowData]=\"rowData\">\n          </ag-grid-angular>\n      </div>\n  ",
            styles: [
                require('./grid.component.scss'),
                require('ag-grid/dist/styles/ag-grid.css'),
                require('ag-grid/dist/styles/theme-fresh.css')
            ],
            encapsulation: ViewEncapsulation.None
        }), 
        __metadata('design:paramtypes', [])
    ], GridComponent);
    return GridComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/grid/grid.component.js.map