var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { NgModule } from '@angular/core';
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { AgGridModule } from "ag-grid-angular/main";
import { ButtonModule, CheckboxModule, SplitButtonModule, RadioButtonModule, DropdownModule, BreadcrumbModule } from "primeng/primeng";
import { BsDropdownModule } from "ngx-bootstrap";
import { LabelComponent } from './label/label.component';
import { TextFieldComponent } from './text-field/text-field.component';
import { TopBarComponent } from "./top-bar/top-bar.component";
import { ButtonComponent } from "./button/button.component";
import { SideBarComponent } from "./side-bar/side-bar.component";
import { DropDownComponent } from "./drop-down/drop-down.component";
import { CheckBoxComponent } from "./check-box/check-box.component";
import { SplitButtonComponent } from "./split-button/split-button.component";
import { RadioButtonComponent } from "./radio-button/radio-button.component";
import { GridComponent } from "./grid/grid.component";
import { AppsMenuComponent } from "./top-bar/apps-menu/apps-menu.component";
import { WizardComponent } from "./wizard/wizard.component";
import { BreadcrumbsComponent } from "./breadcrumbs/breadcrumbs.component";
import { WizardStepsComponent } from "./wizard/wizard-steps/wizard-steps.component";
import { WizardStepComponent } from "./wizard/wizard-steps/wizard-step/wizard-step.component";
import { WizardHeaderComponent } from "./wizard/wizard-header/wizard-header.component";
import { ClickOutsideDirective } from "./shared/directives/click-outside.directive";
import { FunctionalDropDownComponent } from "./functional-drop-down/functional-drop-down.component";
import { AppsMatrixComponent } from "./top-bar/apps-menu-matrix/apps-menu-matrix.component";
export var McrComponentsModule = (function () {
    function McrComponentsModule() {
    }
    McrComponentsModule.forRoot = function () {
        return { ngModule: McrComponentsModule, providers: [] };
    };
    McrComponentsModule = __decorate([
        NgModule({
            declarations: [
                LabelComponent,
                TextFieldComponent,
                TopBarComponent,
                ButtonComponent,
                SideBarComponent,
                DropDownComponent,
                AppsMatrixComponent,
                AppsMenuComponent,
                CheckBoxComponent,
                SplitButtonComponent,
                RadioButtonComponent,
                GridComponent,
                WizardComponent,
                WizardHeaderComponent,
                WizardStepsComponent,
                WizardStepComponent,
                BreadcrumbsComponent,
                FunctionalDropDownComponent,
                ClickOutsideDirective
            ],
            imports: [
                CommonModule,
                FormsModule,
                CheckboxModule,
                ButtonModule,
                SplitButtonModule,
                RadioButtonModule,
                DropdownModule,
                BreadcrumbModule,
                BsDropdownModule,
                AgGridModule.withComponents([])
            ],
            exports: [
                LabelComponent,
                TextFieldComponent,
                TopBarComponent,
                ButtonComponent,
                SideBarComponent,
                DropDownComponent,
                CheckBoxComponent,
                SplitButtonComponent,
                RadioButtonComponent,
                GridComponent,
                WizardComponent,
                WizardHeaderComponent,
                WizardStepsComponent,
                WizardStepComponent,
                BreadcrumbsComponent,
                FunctionalDropDownComponent
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], McrComponentsModule);
    return McrComponentsModule;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/mcr-components.module.js.map