var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Input, Output } from '@angular/core';
export var TextFieldComponent = (function () {
    function TextFieldComponent() {
        this.onTextChanged = new EventEmitter();
    }
    TextFieldComponent.prototype.ngOnInit = function () {
    };
    TextFieldComponent.prototype.textChanged = function (value) {
        this.onTextChanged.emit(value);
    };
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TextFieldComponent.prototype, "text", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TextFieldComponent.prototype, "placeholder", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', Boolean)
    ], TextFieldComponent.prototype, "isMandatory", void 0);
    __decorate([
        Output(), 
        __metadata('design:type', EventEmitter)
    ], TextFieldComponent.prototype, "onTextChanged", void 0);
    TextFieldComponent = __decorate([
        Component({
            selector: 'mcr-text-field',
            template: "\n      <div class=\"text-field\">\n          <label>\n              <input #inputValue placeholder=\"{{placeholder}}\" [(ngModel)]=\"text\" (keyup)=\"textChanged(inputValue.value)\">\n              <span *ngIf=\"isMandatory && text === ''\" class=\"text-field-mandatory\">*</span>\n          </label>\n      </div>\n  ",
            styles: ["\n      :host{\n          height: 100%;\n      }\n\n      .text-field {\n          height: 100%;\n          padding-left: 13px;\n\n          border: 1px solid #b8b8b8;\n          box-sizing: border-box;\n          background-color: #ffffff;\n      }\n\n      .text-field label {\n          display: flex;\n          align-items: center;\n          height: 100%;\n      }\n\n      .text-field label input{\n          border: none;\n          width: 100%;\n          height: 100%;\n          outline: none;\n      }\n\n      .text-field-mandatory{\n          font-family: OpenSans;\n          color:  #f53946;\n          font-size: 11px;\n          font-weight: 600;\n          line-height: 59px;\n          text-align: left;\n          position: relative;\n          left: -225px;\n          top: -3px;\n      }\n  "]
        }), 
        __metadata('design:paramtypes', [])
    ], TextFieldComponent);
    return TextFieldComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/text-field/text-field.component.js.map