var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from "@angular/core";
export var AppsMatrixComponent = (function () {
    function AppsMatrixComponent() {
        this.applications = [];
    }
    AppsMatrixComponent.prototype.appsMenuClose = function () {
        this.showAppsMenu = false;
    };
    AppsMatrixComponent.prototype.appsMenuClick = function (e) {
        e.stopPropagation();
    };
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], AppsMatrixComponent.prototype, "applications", void 0);
    AppsMatrixComponent = __decorate([
        Component({
            selector: 'mcr-apps-matrix',
            template: "\n    <div class=\"matrix-icon-container ui-layout\" ui-layout-align=\"center center\"\n         (click)=\"showAppsMenu = !showAppsMenu\" (clickOutside)=\"appsMenuClose()\">\n      <svg width=\"100%\" height=\"100%\" viewBox=\"0 0 25 25\" id=\"matrix\">\n        <defs>\n          <style>.jcls-1 {\n            fill: #5a9cd1;\n            fill-rule: evenodd\n          }</style>\n        </defs>\n        <path class=\"jcls-1\"\n              d=\"M18 24.5v-6h7v6h-7zm0-15h7v6h-7v-6zm0-9h7v6h-7v-6zm-9 18h7v6H9v-6zm0-9h7v6H9v-6zm0-9h7v6H9v-6zm-9 18h7v6H0v-6zm0-9h7v6H0v-6zm0-3v-6h7v6H0z\"/>\n      </svg>\n    </div>\n\n    <mcr-apps-menu *ngIf=\"showAppsMenu\" [applications]=\"applications\" class=\"absolute\"\n                   (click)=\"appsMenuClick($event)\"></mcr-apps-menu>\n  "
        }), 
        __metadata('design:paramtypes', [])
    ], AppsMatrixComponent);
    return AppsMatrixComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/top-bar/apps-menu-matrix/apps-menu-matrix.component.js.map