var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from "@angular/core";
export var AppsMenuComponent = (function () {
    function AppsMenuComponent() {
        this.applications = [];
    }
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], AppsMenuComponent.prototype, "applications", void 0);
    AppsMenuComponent = __decorate([
        Component({
            selector: 'mcr-apps-menu',
            template: "\n    <div class=\"apps-menu ui-layout\" ui-layout-align=\"center center\">\n      <ul>\n        <li *ngFor=\"let app of applications\" class=\"ui-layout-column\" ui-layout-align=\"center center\">\n          <a href=\"{{app.url}}\" class=\"ui-layout-column\" ui-layout-align=\"center center\">\n            <div class=\"svg-{{app.icon}} apps-icon-container\"></div>\n            <label class=\"apps-name\">{{app.name}}</label>\n          </a>\n        </li>\n      </ul>\n    </div>\n  ",
            styles: ["\n    .apps-menu {\n      max-width: 420px;\n      height: 285px;\n      background-color: #212f37;\n      position: relative;\n      /*top: 75px;*/\n      right: 8px;\n      z-index: 999;\n      border-radius: 3px;\n      box-shadow: -1px 3px 12px rgba(0, 0, 0, .25);\n    }\n\n    .apps-menu::before {\n      position: absolute;\n      height: 20px;\n      width: 20px;\n      top: -8px;\n      right: 10px;\n      content: '';\n      transform: rotate(45deg);\n      background: #222f37;\n    }\n\n    .apps-menu ul {\n      list-style-type: none;\n      padding: 0px;\n      margin: 0px;\n      height: calc(100% - 20px);\n      width: calc(100% - 40px);\n    }\n\n    .apps-menu ul li {\n      float: left;\n      height: 126px;\n      width: 95px;\n      border-radius: 3px;\n    }\n    .apps-menu ul li:hover {\n      background-color: #2e3e49;\n    }\n\n    .apps-menu ul li a {\n      height: 100px;\n      width: 100%;\n      text-decoration: none;\n    }\n\n    .apps-menu ul li a label {\n      font-size: 11px;\n      color: #cccfcf;\n      margin-top: 15px;\n      margin-bottom: 0px;\n      font-weight: normal;\n      text-transform: uppercase;\n    }\n\n    .apps-icon-container {\n      height: 50px;\n      width: 50px;\n    }\n\n    .apps-name {\n      color: #ffffff;\n      cursor: pointer;\n    }\n  "]
        }), 
        __metadata('design:paramtypes', [])
    ], AppsMenuComponent);
    return AppsMenuComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/top-bar/apps-menu/apps-menu.component.js.map