var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from "@angular/core";
import { BsDropdownConfig, ComponentLoaderFactory, PositioningService } from "ngx-bootstrap";
export var DropDownComponent = (function () {
    function DropDownComponent() {
    }
    DropDownComponent.prototype.onItemSelected = function (item) {
        this.selectedItem = item;
    };
    Object.defineProperty(DropDownComponent.prototype, "options", {
        set: function (value) {
            this.items = value;
            if (value) {
                this.selectedItem = value[0];
            }
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], DropDownComponent.prototype, "placeholder", void 0);
    __decorate([
        Input('options'), 
        __metadata('design:type', Array), 
        __metadata('design:paramtypes', [Array])
    ], DropDownComponent.prototype, "options", null);
    DropDownComponent = __decorate([
        Component({
            selector: 'mcr-drop-down',
            template: "\n      <div class=\"mcr-drop-down\">\n          <div class=\"btn-group\" dropdown>\n              <button dropdownToggle type=\"button\" class=\"btn btn-dropdown dropdown-toggle ui-layout\" ui-layout-align=\"space-between center\">\n                  <span class=\"btn-selectedItem\">{{selectedItem ? selectedItem.value : ''}}</span>\n                  <span class=\"caret\"></span>\n              </button>\n              <ul *dropdownMenu class=\"dropdown-menu\" role=\"menu\">\n                  <li *ngFor=\"let item of items, let i = index\" role=\"menuitem\" (click)=\"onItemSelected(item); selectedIndex = i\"\n                      value=\"{{item.key}}\" [ngClass]=\"{selected: selectedIndex == i}\">\n                      <div class=\"dropdown-item\">{{item.value}}</div>\n                  </li>\n              </ul>\n          </div>\n      </div>\n  ",
            styles: [
                require('./drop-down.component.scss')
            ],
            providers: [ComponentLoaderFactory, PositioningService, BsDropdownConfig]
        }), 
        __metadata('design:paramtypes', [])
    ], DropDownComponent);
    return DropDownComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/drop-down/drop-down.component.js.map