var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Input, Output, ViewEncapsulation } from '@angular/core';
export var TopBarComponent = (function () {
    function TopBarComponent() {
        this.icon = '';
        this.logo = '';
        this.title = '';
        this.loginUser = '';
        this.applications = [];
        this.actions = [];
        this.onLogoClick = new EventEmitter();
        this.onLogout = new EventEmitter();
        this.showAppsMenu = false;
    }
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TopBarComponent.prototype, "icon", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TopBarComponent.prototype, "logo", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TopBarComponent.prototype, "title", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TopBarComponent.prototype, "loginUser", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], TopBarComponent.prototype, "applications", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', Array)
    ], TopBarComponent.prototype, "actions", void 0);
    __decorate([
        Input(), 
        __metadata('design:type', String)
    ], TopBarComponent.prototype, "topBarListLabel", void 0);
    __decorate([
        Output(), 
        __metadata('design:type', EventEmitter)
    ], TopBarComponent.prototype, "onLogoClick", void 0);
    __decorate([
        Output(), 
        __metadata('design:type', EventEmitter)
    ], TopBarComponent.prototype, "onLogout", void 0);
    TopBarComponent = __decorate([
        Component({
            selector: 'mcr-top-bar',
            template: "\n    <div class=\"top-bar relative\">\n      <div class=\"top-bar-left\">\n        <div class=\"top-bar-icon ui-layout\" ui-layout-align=\"center\">\n          <div class=\"app-icon-container\">\n            <svg viewBox=\"0 0 70 70\" width=\"100%\" height=\"100%\" id=\"appIcon\" y=\"79.72\">\n              <defs>\n                <style>.acls-1 {\n                  fill: #fff\n                }\n\n                .acls-2 {\n                  fill: #ec008c\n                }\n\n                .acls-3 {\n                  fill: #222f37\n                }</style>\n              </defs>\n              <title>App icon</title>\n              <g id=\"aLayer_2\" data-name=\"Layer 2\">\n                <g id=\"aLayer_1-2\" data-name=\"Layer 1\">\n                  <path class=\"acls-1\"\n                        d=\"M60.28 0H9.72A9.7 9.7 0 0 0 0 9.68v50.64A9.7 9.7 0 0 0 9.72 70h50.56A9.7 9.7 0 0 0 70 60.32V9.68A9.7 9.7 0 0 0 60.28 0z\"/>\n                  <ellipse class=\"acls-2\" cx=\"20.1\" cy=\"35\" rx=\"5.54\" ry=\"5.59\"/>\n                  <path class=\"acls-3\"\n                        d=\"M49.9 42.53A7.67 7.67 0 0 1 42.25 35a7.54 7.54 0 0 1 15.08 0 7.63 7.63 0 0 1-7.43 7.53zm-29.79 0A7.63 7.63 0 0 1 12.65 35a7.49 7.49 0 0 1 7.45-7.53A7.37 7.37 0 0 1 27.54 35a7.5 7.5 0 0 1-7.44 7.53zM49.9 21.88A13.07 13.07 0 0 0 42.82 46H27.16a13.15 13.15 0 0 0-7.06-24.12 13.12 13.12 0 0 0 0 26.25h30.36A13.23 13.23 0 0 0 62.88 35 13.06 13.06 0 0 0 49.9 21.88z\"/>\n                  <path class=\"acls-2\"\n                        d=\"M55.43 35a5.56 5.56 0 0 0-5.53-5.59 5.59 5.59 0 1 0 0 11.19 5.56 5.56 0 0 0 5.53-5.6z\"/>\n                </g>\n              </g>\n            </svg>\n          </div>\n        </div>\n        <div class=\"inline-block ui-space-r-regular\">\n          <div class=\"header-sep\"></div>\n        </div>\n        <div class=\"top-bar-title top-bar-font fs18\">{{title.toUpperCase()}}</div>\n      </div>\n      <div class=\"top-bar-right\">\n        <div class=\"top-bar-users\">\n          <mcr-functional-drop-down [items]=\"actions\" [label]=\"topBarListLabel\"\n                                    class=\"top-bar-dropdown\"></mcr-functional-drop-down>\n        </div>\n        <div class=\"top-bar-alert\"></div>\n        <div class=\"top-bar-info\"></div>\n        <div class=\"inline-block ui-space-r-medium\">\n          <div class=\"header-sep\"></div>\n        </div>\n        <div class=\"ui-layout ui-space-r-regular\">\n          <div class=\"top-bar-logo ui-layout\" ui-layout-align=\"center center\">\n            <svg viewBox=\"0 0 216.87 79.72\" width=\"100%\" height=\"100%\" id=\"logo\">\n              <defs>\n                <style>.kcls-1 {\n                  fill: #fff\n                }\n\n                .kcls-2 {\n                  fill: #009edb\n                }</style>\n              </defs>\n              <title>Nice LOGO</title>\n              <g id=\"kLayer_2\" data-name=\"Layer 2\">\n                <g id=\"kLayer_1-2\" data-name=\"Layer 1\">\n                  <path class=\"kcls-1\"\n                        d=\"M155.23 1.32h46.36v18h-27.93v11.23h22.86v17.99h-22.86v11.9h27.93v17.92h-46.36V1.32zM129.59 31c-.69-4.76-2.15-8.24-3.79-9.8a11.63 11.63 0 0 0-6.42-2.57c-3.55 0-6.4 2.22-7.85 6-1.88 4.44-2.61 9.8-2.61 16.12 0 13.63 3.55 20.61 10.71 20.61 5.45 0 9-4.76 10-13.31h17.87c-.73 9.49-3.34 17.37-7.85 23.11-4.76 5.7-11.44 8.48-19 8.48a30.27 30.27 0 0 1-16.19-4.38c-4.79-3.08-8.13-7.53-10.46-13.51a56.15 56.15 0 0 1-3.82-20.92c0-8.86 1.42-16.78 4-23.11 2.89-6 6.71-10.74 10.91-13.62 4.31-2.5 9.07-4.1 13.35-4.1 10 .31 17.34 3.79 21.37 9.17A42.42 42.42 0 0 1 147 31zM64.6 1.32h18.38v76.97H64.6zM0 1.32h16.54l19.6 42.37V1.32h17.72v76.97H36.38L17.31 36.63l-.08 17.96.08 23.7H0V1.32z\"/>\n                  <path class=\"kcls-2\"\n                        d=\"M147.31 31.16h16.9v16.9h-16.9zM82.98 31.16h16.9v16.9h-16.9zM47.71 31.16h16.9v16.9h-16.9z\"/>\n                  <path class=\"kcls-1\"\n                        d=\"M205.19 4.4a5.77 5.77 0 0 1 3.29-3.06 6.39 6.39 0 0 1 4.61 0A5.79 5.79 0 0 1 215 2.53a5.67 5.67 0 0 1 1.34 1.87 5.89 5.89 0 0 1 .5 2.44 6 6 0 0 1-.5 2.46 5.8 5.8 0 0 1-3.29 3.07 6.65 6.65 0 0 1-4.61 0 5.81 5.81 0 0 1-3.29-3.07 5.92 5.92 0 0 1-.5-2.46 5.83 5.83 0 0 1 .5-2.44m1.47 4.32a4.59 4.59 0 0 0 1 1.48 4.13 4.13 0 0 0 1.42 1 4.34 4.34 0 0 0 1.75.36 4.28 4.28 0 0 0 1.74-.36 4.14 4.14 0 0 0 1.43-1 4.78 4.78 0 0 0 1-1.48 4.91 4.91 0 0 0 .35-1.87A4.82 4.82 0 0 0 214.9 5a4.72 4.72 0 0 0-1-1.47 4.42 4.42 0 0 0-3.16-1.33 4.46 4.46 0 0 0-1.75.35 4.38 4.38 0 0 0-1.42 1 4.54 4.54 0 0 0-1 1.47 4.89 4.89 0 0 0-.35 1.87 5 5 0 0 0 .35 1.87m4.25-5.22a3.48 3.48 0 0 1 1.93.44 1.7 1.7 0 0 1 .67 1.53 2 2 0 0 1-.14.79 1.37 1.37 0 0 1-.36.53 1.75 1.75 0 0 1-.55.31 2.67 2.67 0 0 1-.67.15l1.78 2.89h-1.39l-1.54-2.88h-.82v2.84h-1.31V3.5zm0 2.78a2.39 2.39 0 0 0 .93-.15c.25-.11.37-.36.37-.77a.68.68 0 0 0-.12-.42.92.92 0 0 0-.33-.25 1.92 1.92 0 0 0-.45-.12 3.74 3.74 0 0 0-.46 0h-1.12v1.67z\"/>\n                </g>\n              </g>\n            </svg>\n          </div>\n            \n          <mcr-apps-matrix [applications]=\"applications\"></mcr-apps-matrix>\n          \n        </div>\n      </div>\n    </div>\n  ",
            styles: [
                require('./top-bar.component.scss')
            ],
            encapsulation: ViewEncapsulation.None
        }), 
        __metadata('design:paramtypes', [])
    ], TopBarComponent);
    return TopBarComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/top-bar/top-bar.component.js.map